VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDMS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'(C)Roy E. Hoffman 2000
'See Main.bas for terms and conditions of use

Friend Function FromDMS(udtDms As DMS) As Double
'Convert base 60 to decimal
    FromDMS = udtDms.intDegreesHours + udtDms.intMinutes / 60 + udtDms.dblSeconds / 3600
    If Not udtDms.blnSign Then FromDMS = -FromDMS
End Function
Friend Sub ToDMS(dblX As Double, udtDms As DMS)
'Convert decimal to base 60
    Dim lngX2 As Long
    '21/2/00 correction to rounding to cope with negative numbers
    
    'intrinsic resolution to 0.1"
    lngX2 = Fix(dblX * 36000 + Sgn(dblX) * 0.5)
    With udtDms
        .intDegreesHours = Int(Abs(lngX2 / 36000))
        .intMinutes = Int(Abs(lngX2 / 600)) Mod 60
        .dblSeconds = (Abs(lngX2) Mod 600) / 10
        .blnSign = (lngX2 >= 0)
    End With
End Sub
