VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmMain 
   Caption         =   "LunaCal 2.0"
   ClientHeight    =   4200
   ClientLeft      =   135
   ClientTop       =   420
   ClientWidth     =   7620
   Icon            =   "Date.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4200
   ScaleWidth      =   7620
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOptions 
      Caption         =   "Options"
      Height          =   255
      Left            =   120
      TabIndex        =   21
      Top             =   3240
      Width           =   735
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2160
      Top             =   2760
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      Height          =   255
      Left            =   2880
      TabIndex        =   20
      Top             =   3240
      Width           =   735
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print"
      Height          =   255
      Left            =   1560
      TabIndex        =   19
      Top             =   3240
      Width           =   735
   End
   Begin VB.Frame fraOutput 
      Caption         =   "Output"
      Height          =   4215
      Left            =   3960
      TabIndex        =   11
      Top             =   0
      Width           =   3615
      Begin VB.ComboBox cboOption2 
         Height          =   315
         Left            =   1080
         TabIndex        =   17
         Top             =   1080
         Width           =   2175
      End
      Begin VB.ComboBox cboOption 
         Height          =   315
         Left            =   1080
         TabIndex        =   15
         Top             =   720
         Width           =   2175
      End
      Begin VB.OptionButton optBody 
         Caption         =   "Moon, Sun, Planets"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   240
         Value           =   -1  'True
         Width           =   2175
      End
      Begin VB.OptionButton optConvert 
         Caption         =   "Convert Date"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   480
         Width           =   1455
      End
      Begin VB.Label lblOutput3 
         BackColor       =   &H8000000E&
         Height          =   2535
         Left            =   120
         TabIndex        =   18
         Top             =   1560
         Width           =   3375
      End
      Begin VB.Label lblOption2 
         Caption         =   "Option2"
         Height          =   255
         Left            =   120
         TabIndex        =   16
         Top             =   1080
         Width           =   975
      End
      Begin VB.Label lblOption 
         Caption         =   "Option"
         Height          =   255
         Left            =   120
         TabIndex        =   14
         Top             =   720
         Width           =   975
      End
   End
   Begin VB.Frame fraInput 
      Caption         =   "Input"
      Height          =   2535
      Left            =   0
      TabIndex        =   2
      Top             =   120
      Width           =   3855
      Begin VB.CommandButton cmdChangeWeather 
         Caption         =   "Change"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   1920
         Width           =   735
      End
      Begin VB.CommandButton cmdChangeLocation 
         Caption         =   "Change"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   960
         Width           =   735
      End
      Begin VB.CommandButton cmdChangeDate 
         Caption         =   "Change"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   600
         Width           =   735
      End
      Begin VB.CommandButton cmdChangeTime 
         Caption         =   "Change"
         Height          =   255
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   735
      End
      Begin VB.Label lblWeather 
         Caption         =   "Weather"
         Height          =   495
         Left            =   960
         TabIndex        =   10
         Top             =   1920
         Width           =   2775
      End
      Begin VB.Label lblLocation 
         Caption         =   "Location"
         Height          =   975
         Left            =   960
         TabIndex        =   8
         Top             =   960
         Width           =   2775
      End
      Begin VB.Label lblDate 
         Caption         =   "Date"
         Height          =   495
         Left            =   960
         TabIndex        =   6
         Top             =   600
         Width           =   2775
      End
      Begin VB.Label lblTime 
         Caption         =   "Time"
         Height          =   375
         Left            =   960
         TabIndex        =   4
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.CommandButton cmdCRight 
      Caption         =   "(C) Roy Hoffman 2002"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   3600
      Width           =   1935
   End
   Begin VB.CommandButton cmdT 
      Caption         =   "Test"
      Height          =   255
      Left            =   3120
      TabIndex        =   0
      Top             =   2760
      Width           =   615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'Main control panel for program
'Inputs on the left and outputs on the right
Dim blnAllowChange As Boolean 'Used to disable updates during programmed modifications
Sub Evaluate()
'Evaluate the inputs and outputs and display them
    Dim udtDateOut As MyDate
    Dim udtTimeOut As Mytime
    Dim blnValid As Boolean
    
    'Date
    dblDate = frmDate.EvaluateDate(udtDate) 'Determine radix date at 0:00 UTC
    lblDate = "Date: " & frmDate.WriteDate(udtDate)
    'Unload frmDate
    'Location
    Call frmLocation.EvaluateLoc
    lblLocation = frmLocation.WriteLocation
    'Unload frmLocation
    'Time
    If udtDate.enmDateType >= gregorian Then
        Call frmTime.EvaluateTime(blnValid) 'Determine time relative to radix date
        lblTime = "Time: " & frmTime.WriteTime(udtTime, 0)
        'Unload frmTime
    Else
        blnValid = True
        lblTime = "Time: not applicable"
        dblTime = 0
    End If
    'Weather
    Call frmWeather.GetWeatherNow(dblDate, dblTime, udtWeatherNow)
    lblWeather = "Weather " & frmWeather.WriteWeather
    'Unload frmWeather
    'Output
    If blnValid Then
        If optConvert Then
            Call ToDateTime(dblDate + dblTime, udtDateOut, cboOption.ListIndex, udtTimeOut, cboOption2.ListIndex, blnValid)
            If blnValid Then
                lblOutput3 = frmDate.WriteDate(udtDateOut)
                If udtDateOut.enmDateType >= gregorian Then lblOutput3 = lblOutput3 & " " & frmTime.WriteTime(udtTimeOut, 0)
                'Unload frmDate
                'Unload frmTime
            Else
                lblOutput3 = "Invalid date type selected or date out of range."
            End If
        Else
            Select Case cboOption.ListIndex
                Case 0: 'Sun
                    Call Sun
                Case 1:
                    Call Moon
                Case 2, 3, 4, 5, 6:
                    Call Planet
                Case Else:
                    If cboOption.ListIndex > 6 + intNStars Then
                        lblOutput3 = "Invalid action selected"
                    Else
                        Call Planet
                    End If
            End Select
        End If
    Else
        lblOutput3 = "Invalid time for this situation."
    End If
    blnChangedInput = False
'    If blnChangedInput Then
'        For intI = 0 To 6
'            udtVisibilitySave(intI).blnUpdated = False
'        Next
'    End If
End Sub
Friend Function ZeroTime(dblFixed As Double, enmTimeType As TimeType) As Double
'Find the start and end of the current day and how many days to adjust from the UTC day
    Dim cUTC As New clsUTC
    Dim cLocal As New clsLocalTime
    Dim cMeanSolar As New clsMeanSolar
    Dim cTrueSolar As New clsTrueSolar
    Dim cGMST As New clsGMST
    Dim cLST As New clsLST
    Dim cSeasonal As New clsSeasonal
    Dim cMoon As New clsMoon
    Dim udtTimeOut As Mytime
        
    Select Case enmTimeType
        Case 0: 'UTC
            ZeroTime = cUTC.ZeroTime(dblFixed)
        Case 1: 'Local time
            ZeroTime = cLocal.ZeroTime(dblFixed)
        Case 2: 'Mean solar
            ZeroTime = cMeanSolar.ZeroTime(dblFixed)
        Case 3: 'True solar
            ZeroTime = cTrueSolar.ZeroTime(dblFixed)
        Case 4: 'GMST
            Call cUTC.ZeroTime(dblFixed)
        Case 5: 'LST
            Call cMeanSolar.ZeroTime(dblFixed)
        Case 6: 'Seasonal
            ZeroTime = cTrueSolar.ZeroTime(dblFixed)
    End Select
End Function
Friend Sub ToDateTime(dblFixed As Double, udtDateIn As MyDate, enmDateType As DateType, udtTimeIn As Mytime, enmTimeType As TimeType, blnValid As Boolean)
'Convert fixed radix to date and time
    Dim cJD As New clsJD
    Dim cJDE As New clsJDE
    Dim cMJD As New clsMJD
    Dim dblStart As Double 'Start of day
    Dim dblEnd As Double 'End of day
    Dim intDaysToAdd As Integer 'Correction in days because of the time
    Dim dblZeroTime As Double
    Dim dblEndTime As Double
    Dim intDayShift As Integer
    
    
    If enmTimeType = -1 Or enmDateType = -1 Then
        blnValid = False
    Else
        udtDateIn.enmDateType = enmDateType
        If enmDateType < gregorian Then
        'radix types do not have a time type component
        'so only the day number needs to be calculated
            Select Case enmDateType
                Case Fixed: 'Fixed radix
                    udtDateIn.dblDayNumber = dblFixed
                Case JD: 'Julian day number according to UTC
                    udtDateIn.dblDayNumber = cJD.fixed_jd(dblFixed)
                Case JDE: 'Julian day number according to dynamic time
                    udtDateIn.dblDayNumber = cJDE.fixed_jde(dblFixed)
                Case mjd: 'Modified Julian day number
                    udtDateIn.dblDayNumber = cMJD.fixed_mjd(dblFixed)
            End Select
            udtDateIn.blneve = False
        Else
            'Find start and end of day for the time given
            Call StartEndOfDay(dblFixed, enmDateType, enmTimeType, dblStart, dblEnd, intDayShift)
            'Convert date for last 0:00 UTC
            intDayShift = 0
            dblEndTime = ZeroTime(dblFixed + 1 + intDayShift, enmTimeType)
            While Int(dblFixed + 1 - dblEndTime) + intDayShift + dblEndTime < dblFixed
                intDayShift = intDayShift + 1
                dblEndTime = ZeroTime(dblFixed + 1 + intDayShift, enmTimeType)
            Wend
            dblZeroTime = ZeroTime(dblFixed, enmTimeType)
            While Int(dblFixed - dblZeroTime) + intDayShift + dblEndTime > dblFixed
                intDayShift = intDayShift - 1
                dblZeroTime = ZeroTime(dblFixed + intDayShift, enmTimeType)
            Wend
            If dblStart > Int(dblFixed - dblZeroTime) + intDayShift + dblZeroTime Then intDayShift = intDayShift + 1
            Call frmDate.ToDate(Int(dblFixed - dblZeroTime) + intDayShift, enmDateType, udtDateIn, blnValid)
            Unload frmDate
            intDaysToAdd = 0
            While dblFixed > dblEnd 'While the time is after the end of the day
                intDaysToAdd = intDaysToAdd - 1 'increment the day and reconvert
                Call frmDate.ToDate(Int(dblFixed + intDaysToAdd + intDayShift), enmDateType, udtDateIn, blnValid)
                Unload frmDate
                Call StartEndOfDay(Int(dblFixed - intDaysToAdd), enmDateType, enmTimeType, dblStart, dblEnd, intDayShift)
            Wend
            While dblFixed < dblStart 'While the time is before the beginning of the day
                intDaysToAdd = intDaysToAdd + 1 'decrement the day and reconvert
                Call frmDate.ToDate(Int(dblFixed + intDaysToAdd + intDayShift), enmDateType, udtDateIn, blnValid)
                Unload frmDate
                Call StartEndOfDay(Int(dblFixed - intDaysToAdd), enmDateType, enmTimeType, dblStart, dblEnd, intDayShift)
            Wend
    '        While dblFixed > dblEnd 'Fix time for Hebrew and Islamic dates
    '            intDaysToAdd = intDaysToAdd - 1 'increment the day and reconvert
                Call StartEndOfDay(Int(dblFixed - intDaysToAdd + intDayShift), enmDateType, enmTimeType, dblStart, dblEnd, intDayShift)
                udtDateIn.blneve = dblFixed < Int(dblStart + udtLocation.dblLongitude / 360) + 1 And udtDateIn.enmDateType >= Hebrew
    '        Wend
            'Evaluate the time
            Call StartEndOfDay(dblFixed, enmDateType, enmTimeType, dblStart, dblEnd, intDayShift)
            Call FixedToTime(dblFixed, udtTimeIn, dblStart, enmTimeType, enmDateType)
        End If
    End If
End Sub
Sub StartEndOfDay(dblFix As Double, enmDateType As DateType, enmTimeType As TimeType, dblStart As Double, dblEnd As Double, Optional intDayShift As Integer)
'Find the start and end of the current day and how many days to adjust from the UTC day
    Dim cUTC As New clsUTC
    Dim cLocal As New clsLocalTime
    Dim cMeanSolar As New clsMeanSolar
    Dim cTrueSolar As New clsTrueSolar
    Dim cGMST As New clsGMST
    Dim cLST As New clsLST
    Dim cSeasonal As New clsSeasonal
    Dim cMoon As New clsMoon
    Dim udtTimeOut As Mytime
        
    Select Case enmTimeType
        Case 0: 'UTC
            Call cUTC.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 1: 'Local time
            Call cLocal.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 2: 'Mean solar
            Call cMeanSolar.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 3: 'True solar
            Call cTrueSolar.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 4: 'GMST
            Call cUTC.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 5: 'LST
            Call cMeanSolar.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
        Case 6: 'Seasonal
            Call cTrueSolar.StartEndOfDay(dblFix, enmDateType, dblStart, dblEnd, intDayShift)
    End Select
End Sub
Sub Sun() 'Calculate parameters connected witht the Sun
    Dim cSun As New clsSun
    Dim cHBody As New clsHBody
    
    Select Case cboOption2.Text
        Case "Ecliptic coordinates": 'Ecliptic coordinates
            lblOutput3.Caption = cHBody.EclipticCoordinates("Sun")
        Case "Equatorial coordinates": 'Equatorial coordinates
            lblOutput3.Caption = cHBody.EquatorialCoordinates("Sun")
        Case "Horizon coordinates": 'Horizon coordinates
            lblOutput3.Caption = cHBody.HorizonCoordinates("Sun")
        Case "Distance & size": 'Distance & size
            lblOutput3.Caption = cHBody.DistSize("Sun")
        Case "Rise": 'Rise
            lblOutput3.Caption = cHBody.Rise("Sun")
        Case "Set": 'Set
            lblOutput3.Caption = cHBody.HBSet("Sun")
        Case "Magnitude": 'Magnitude
            lblOutput3.Caption = cHBody.MagText("Sun")
    End Select
End Sub
Sub Moon()
    Dim cMoon As New clsMoon
    Dim cHBody As New clsHBody
    
    If cboOption2.ListIndex < 11 Or cboOption2.ListIndex > 13 Then Unload frmGraph
    Select Case cboOption2.Text
        Case "Ecliptic coordinates": 'Ecliptic coordinates
            lblOutput3.Caption = cHBody.EclipticCoordinates("Moon")
        Case "Equatorial coordinates": 'Equatorial coordinates
            lblOutput3.Caption = cHBody.EquatorialCoordinates("Moon")
        Case "Horizon coordinates": 'Horizon coordinates
            lblOutput3.Caption = cHBody.HorizonCoordinates("Moon")
        Case "Distance & size": 'Distance & size
            lblOutput3.Caption = cHBody.DistSize("Moon")
        Case "Rise": 'Rise
            lblOutput3.Caption = cHBody.Rise("Moon")
        Case "Set": 'Set
            lblOutput3.Caption = cHBody.HBSet("Moon")
        Case "Magnitude": 'Magnitude
            lblOutput3.Caption = cHBody.MagText("Moon")
        Case "Yallop q": 'Yallop's q
            lblOutput3.Caption = cMoon.YallopQText
        Case "qt": 'Topocentric q
            lblOutput3.Caption = cMoon.QTText
        Case "Rambam": 'Rambams orech rishon and keshet reiyah
            lblOutput3.Caption = cMoon.RambamText
        Case "Phase/Lag/Distance": 'Lag, phase & distance
            lblOutput3.Caption = cMoon.LagPhaseDistanceText
        Case "Finder chart": 'Finder chart
            lngGraphType = lngPlotMode
            Select Case lngMoonCalcMode
            Case 0
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, False, True)
            Case 1
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, False, False)
            Case 2
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, True, False)
            End Select
        Case "Probability": 'Probability plot
            lngGraphType = 3
            Select Case lngMoonCalcMode
            Case 0
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, False, True)
            Case 1
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, False, False)
            Case 2
                lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, True, False)
            End Select
        Case "Light curve": 'Light curve
            lngGraphType = 4
            lblOutput3.Caption = cMoon.FirstVisible(dblDate + dblTime, False, True)
        Case "Next new Moon": 'Next new Moon
            lblOutput3.Caption = cMoon.NextNewMoonText
    End Select
End Sub
Sub Planet()
    Dim cPlanet As New clsPlanet
    Dim cHBody As New clsHBody
    
    Select Case cboOption2.Text
        Case "Ecliptic coordinates": 'Ecliptic coordinates
            lblOutput3.Caption = cHBody.EclipticCoordinates(cboOption.Text)
        Case "Equatorial coordinates": 'Equatorial coordinates
            lblOutput3.Caption = cHBody.EquatorialCoordinates(cboOption.Text)
        Case "Horizon coordinates": 'Horizon coordinates
            lblOutput3.Caption = cHBody.HorizonCoordinates(cboOption.Text)
        Case "Distance & size": 'Distance & size
            lblOutput3.Caption = cHBody.DistSize(cboOption.Text)
        Case "Rise": 'Rise
            lblOutput3.Caption = cHBody.Rise(cboOption.Text)
        Case "Set": 'Set
            lblOutput3.Caption = cHBody.HBSet(cboOption.Text)
        Case "Magnitude": 'Magnitude
            lblOutput3.Caption = cHBody.MagText(cboOption.Text)
    End Select
End Sub
Friend Sub FixedToTime(dblFix As Double, udtTimeOut As Mytime, dblStart As Double, enmType As TimeType, enmDateType As DateType)
'Convert a radix date to a time
'dblFix is fixed radix date
'udtTimeOut is the time type to be computed
'dblStart is the fixed radix time of the start of the day used for deciding 2nd time

    Dim udtStart As Mytime
    Dim dblTimeDif As Double
    Dim cLocalTime As New clsLocalTime
    Dim cMeanSolar As New clsMeanSolar
    Dim cUTC As New clsUTC
    Dim cGMST As New clsGMST
    Dim cLST As New clsLST
    Dim cTrueSolar As New clsTrueSolar
    Dim cSeasonal As New clsSeasonal
    Dim dbl2nd As Double
    Dim blnValid As Boolean
    Dim cHBody As New clsHBody
    Dim udtSun1 As HBody
    Dim udtSun2 As HBody
    
    Select Case enmType
    Case utc
        Call cUTC.ToUTC(dblFix, udtTimeOut)
        Call cUTC.ToUTC(dblStart, udtStart)
    Case localt
        Call cLocalTime.ToLocal(dblFix, udtTimeOut)
        Call cLocalTime.ToLocal(dblStart, udtStart)
    Case meansolar
        Call cMeanSolar.ToMeanSolar(dblFix, udtTimeOut)
        Call cMeanSolar.ToMeanSolar(dblStart, udtStart)
    Case gmst
        Call cGMST.ToGMST(dblFix, udtTimeOut)
        Call cGMST.ToGMST(dblStart, udtStart)
    Case lst
        Call cLST.ToLST(dblFix, udtTimeOut)
        Call cLST.ToLST(dblStart, udtStart)
    Case truesolar
        Call cTrueSolar.ToTrueSolar(dblFix, udtTimeOut)
        Call cTrueSolar.ToTrueSolar(dblStart, udtStart)
    Case seasonal
        Call cSeasonal.ToSeasonal(dblFix, udtTimeOut)
        Call cSeasonal.ToSeasonal(dblStart, udtStart)
    Case Else 'Invalid type
        Debug.Print "Error in TimeToFixed, Invalid time type: " & udtTime.enmTimeType
    End Select
    If enmType = localt Or enmType = meansolar Or enmType = utc Then
        udtTimeOut.blnSecondTime = (dblFix - dblStart >= 1)
    ElseIf enmType = gmst Or enmType = lst Then
        udtTimeOut.blnSecondTime = (dblFix - dblStart >= 1 / 1.00273790935)
    ElseIf enmType = truesolar Then
        If enmDateType < Hebrew Or dblFix - dblStart < 0.999 Then
            udtTimeOut.blnSecondTime = False
        ElseIf dblFix - dblStart > 1.001 Then
            udtTimeOut.blnSecondTime = True
        Else 'This is too close to call due to daily changes in the Equation of time
            'Calculate from the hour angles of the Sun
            Call cHBody.TrueHBody("Sun", dblStart, udtSun1)
            Call cHBody.TrueHBody("Sun", dblFix, udtSun2)
            udtTimeOut.blnSecondTime = (FracCirc(udtSun2.HourAngTopo - udtSun1.HourAngTopo) < 180)
        End If
    Else 'Seasonal
        udtTimeOut.blnSecondTime = False
    End If
    udtStart.blnSecondTime = True
    dbl2nd = TimeToFixed(udtStart, blnValid, enmDateType)
    'udtTimeOut.blnSecondTime = (blnValid And dblFix >= dbl2nd)
End Sub
Friend Function TimeToFixed(udtTimeIn As Mytime, blnValid As Boolean, enmType As DateType) As Double
    Dim cLocalTime As New clsLocalTime
    Dim cMeanSolar As New clsMeanSolar
    Dim cUTC As New clsUTC
    Dim cGMST As New clsGMST
    Dim cLST As New clsLST
    Dim cTrueSolar As New clsTrueSolar
    Dim cSeasonal As New clsSeasonal
    
    Select Case udtTimeIn.enmTimeType
    Case utc
        TimeToFixed = cUTC.FromUTC(udtTimeIn, blnValid, enmType)
    Case localt
        TimeToFixed = cLocalTime.FromLocal(udtTimeIn, blnValid, enmType)
    Case meansolar
        TimeToFixed = cMeanSolar.FromMeanSolar(udtTimeIn, blnValid, enmType)
    Case truesolar
        TimeToFixed = cTrueSolar.FromTrueSolar(udtTimeIn, blnValid, enmType)
    Case gmst
        TimeToFixed = cGMST.FromGMST(udtTimeIn, blnValid, enmType)
    Case lst
        TimeToFixed = cLST.FromLST(udtTimeIn, blnValid, enmType)
    Case seasonal
        TimeToFixed = cSeasonal.FromSeasonal(udtTimeIn, blnValid, enmType)
    Case Else
        MsgBox ("Invalid time type in TimeToFixed")
    End Select
    TimeToFixed = TimeToFixed + Int(dblDate)
End Function

Private Sub TimeCombo()
    'Display Combo Box for time type options
        lblOption2.Caption = "Time type"
        cboOption2.Clear
        cboOption2.AddItem ("UTC")
        cboOption2.AddItem ("Local")
        cboOption2.AddItem ("Mean Solar")
        cboOption2.AddItem ("True Solar")
        cboOption2.AddItem ("GMST")
        cboOption2.AddItem ("LST")
        cboOption2.AddItem ("Seasonal")
        cboOption2.ListIndex = enmLastTimeType
        cboOption2.Text = cboOption2.List(enmLastTimeType)
        If cboOption.ListIndex < 4 Then 'Don't display time time for radix dates
            lblOption2.Visible = False
            cboOption2.Visible = False
        Else 'Display for calendar dates
            lblOption2.Visible = True
            cboOption2.Visible = True
        End If
        enmLastDateType = cboOption.ListIndex
End Sub
Private Sub BodyCombo()
    lblOption2.Visible = True
    cboOption2.Visible = True
    'intLastPar = cboOption2.ListIndex
    lblOption2.Caption = "Parameter"
    cboOption2.Clear
    cboOption2.AddItem "Horizon coordinates"
    cboOption2.AddItem "Magnitude"
    cboOption2.AddItem "Distance & size"
    cboOption2.AddItem "Rise"
    cboOption2.AddItem "Set"
    cboOption2.AddItem "Ecliptic coordinates"
    cboOption2.AddItem "Equatorial coordinates"
    If cboOption.ListIndex = 1 Then 'Moon
        cboOption2.AddItem "Yallop q"
        cboOption2.AddItem "Finder chart"
        cboOption2.AddItem "Probability"
        cboOption2.AddItem "Light curve"
        cboOption2.AddItem "Next new Moon"
        cboOption2.AddItem "Rambam"
        cboOption2.AddItem "Phase/Lag/Distance"
        cboOption2.AddItem "qt"
    End If
    If cboOption.ListIndex <> 1 And intLastPar > 6 Then intLastPar = 6
    cboOption2.ListIndex = intLastPar
    cboOption2.Text = cboOption2.List(intLastPar)
    intLastPlanet = cboOption.ListIndex
End Sub
Private Sub cboOption_Click()
    Dim blnSave As Boolean
    
    blnSave = blnAllowChange
    Unload frmGraph
    blnAllowChange = False 'Disable evaluateion
    If optConvert Then
        Call TimeCombo
    Else
        Call BodyCombo
'        lblOption2.Visible = True
'        cboOption2.Visible = True
'        'intLastPar = cboOption2.ListIndex
'        lblOption2.Caption = "Parameter"
'        cboOption2.Clear
'        cboOption2.AddItem "Ecliptic coordinates"
'        cboOption2.AddItem "Equatorial coordinates"
'        cboOption2.AddItem "Horizon coordinates"
'        cboOption2.AddItem "Distance & size"
'        cboOption2.AddItem "Rise"
'        cboOption2.AddItem "Set"
'        cboOption2.AddItem "Magnitude"
'        If cboOption.ListIndex = 1 Then 'Moon
'            cboOption2.AddItem "Yallop q"
'            cboOption2.AddItem "qt"
'            cboOption2.AddItem "Rambam"
'            cboOption2.AddItem "Phase/Lag/Distance"
'            cboOption2.AddItem "Finder chart"
'            cboOption2.AddItem "Probability"
'            cboOption2.AddItem "Light curve"
'            cboOption2.AddItem "Next new Moon"
'        End If
'        If cboOption.ListIndex <> 1 And intLastPar > 6 Then intLastPar = 6
'        cboOption2.ListIndex = intLastPar
'        cboOption2.Text = cboOption2.List(intLastPar)
'        intLastPlanet = cboOption.ListIndex
        blnAllowChange = blnSave 'Enable and evaluate
    End If
    blnAllowChange = blnSave
    If blnAllowChange Then
        Call Evaluate
    End If
End Sub

Private Sub cboOption2_Click()
    If blnAllowChange Then
        If optConvert Then
            enmLastTimeType = cboOption2.ListIndex
            Call Evaluate
        Else
            Select Case cboOption.ListIndex
                Case -1:
                    lblOutput3 = "Invalid name for heavenly body."
                Case 0: 'Sun
                    Call Sun
                Case 1:
                    Call Moon
                Case Else:
                    Call Planet
            End Select
            intLastPar = cboOption2.ListIndex
        End If
    End If
End Sub

Private Sub cmdChangeDate_Click()
    lblOutput3.Enabled = False
    frmDate.Show (vbModal)
    lblOutput3.Enabled = True
    Call Evaluate
End Sub

Private Sub cmdChangeLocation_Click()
    lblOutput3.Enabled = False
    frmLocation.Show (vbModal)
    lblOutput3.Enabled = True
    Call Evaluate
End Sub

Private Sub cmdChangeTime_Click()
    lblOutput3.Enabled = False
    frmTime.Show (vbModal)
    lblOutput3.Enabled = True
    Call Evaluate
End Sub

Private Sub cmdChangeWeather_Click()
    lblOutput3.Enabled = False
    frmWeather.Show (vbModal)
    lblOutput3.Enabled = True
    Call Evaluate
End Sub

Private Sub cmdCRight_Click()
    MsgBox ("(C)Roy E. Hoffman 2000-2002" & vbCrLf & "Permission is given to use this software for non-commercial" & vbCrLf & "religious and scientific purposes. If you wish to use this" & vbCrLf & "software for commercial purposes, please contact me to discuss" & vbCrLf & "terms. If you have any comments" & vbCrLf & "or suggestions, please contact me (roy@shum.cc.huji.ac.il)." & vbCrLf & "While I will do my best to acknowledge any suggestions in" & vbCrLf & "the code, I will assume that I have your permission to use" & vbCrLf & "any information you give me as I wish.")
End Sub

Private Sub cmdHelp_Click()
    CommonDialog1.HelpFile = "lunacal.hlp"
    CommonDialog1.HelpCommand = cdlHelpForceFile
    CommonDialog1.ShowHelp
End Sub

Private Sub cmdOptions_Click()
    frmOptions.Show vbModal
End Sub

Private Sub cmdPrint_Click()
    Dim X As Printer
    Dim curDisplay As Object
    
    Set curDisplay = Printer
    curDisplay.Print "Input values"
    curDisplay.Print "    " & lblTime
    curDisplay.Print "    " & lblDate
    curDisplay.Print "    " & lblLocation
    curDisplay.Print "    " & lblWeather
    curDisplay.Print
    curDisplay.Print "Output results"
    If optConvert Then
        curDisplay.Print "    " & "Convert date"
        curDisplay.Print "    " & "Date type " & cboOption.Text
        curDisplay.Print "    " & "Time type " & cboOption2.Text
    Else
        curDisplay.Print "    " & "Moon, Sun, Planets"
        curDisplay.Print "    " & "Heavenly body " & cboOption.Text
        curDisplay.Print "    " & "Paramter " & cboOption2.Text
    End If
    curDisplay.Print lblOutput3
    If frmGraph.Visible Then
        curDisplay.Print "Dotted Red - not visible, Dashed Blue - May be visible, Solid Black - Definately visible"
        Call frmGraph.DrawGraph(curDisplay, False, curDisplay.CurrentY + 2 * curDisplay.TextHeight("0"))
    End If
    Printer.EndDoc
End Sub

Private Sub cmdT_Click()
    Dim cPlanet As New clsPlanet
    Dim cMoon As New clsMoon
    
    'Call cPlanet.AnalyzeSightings
    Call cMoon.AnalyzeSightings
    
    'Call cMoon.NewMoonTable
    
End Sub
Sub GetLastLocation(Optional strFName As String = "Curloc.txt")
     Dim intI As Integer
    Dim blnFoundData As Boolean
    Dim strLine As String
    Dim varTemp As Variant
    
    blnFoundData = True
    'Read last saved location
    Open strFName For Input Access Read As 1
    With udtLocation
        varTemp = GetValue(1, "~", "Boolean")
        If IsNull(varTemp) Then
            blnFoundData = False
        Else
            .blnAhead = varTemp
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .blnDMSMode = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .blnDST = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .blnDSTAuto = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .blnNameValid = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", HeightMin, HeightMax)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .dblHeight = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", -90, 90)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .dblLatitude = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", -180, 180, False, True)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .dblLongitude = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", -14, 14)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .dblTZ = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 1, 32766)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .intNTZ = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 14)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .intTZH = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 59)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .intTZM = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "String")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .strCountryState = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "String")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .strNeighborhood = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "String")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .strTownCity = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLatitude.blnSign = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", 0, 60, True, False)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLatitude.dblSeconds = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 90)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLatitude.intDegreesHours = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 59)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLatitude.intMinutes = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Boolean")
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLongitude.blnSign = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Double", 0, 60, True, False)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLatitude.dblSeconds = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 180)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLongitude.intDegreesHours = varTemp
            End If
        End If
        If blnFoundData Then
            varTemp = GetValue(1, "~", "Long", 0, 59)
            If IsNull(varTemp) Then
                blnFoundData = False
            Else
                .udtLongitude.intMinutes = varTemp
            End If
        End If
        If blnFoundData Then
            ReDim .udtTZ(.intNTZ - 1)
            For intI = 0 To .intNTZ - 1
                With .udtTZ(intI)
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Boolean")
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .blnDST = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Boolean")
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .blnLast = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Double", -1000000000#, 1000000000#)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .dblLast = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Double", -14, 14)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .dblTZ = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 31)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTEnd.intDate = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 6)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTEnd.intDayOfWeek = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 23)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTEnd.intHour = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 12)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTEnd.intMonthNo = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 5)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTEnd.intWeekNo = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 31)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTStart.intDate = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 6)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTStart.intDayOfWeek = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 23)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTStart.intHour = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 12)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTStart.intMonthNo = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        varTemp = GetValue(1, "~", "Long", 0, 5)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                        Else
                            .udtDSTStart.intWeekNo = varTemp
                        End If
                    End If
                End With
            Next
        End If
    End With
    Close 1
    If Not blnFoundData Then
        If strFName = "Curloc.txt" Then
            MsgBox "Data from last saved location corrupted or missing. Loading default location."
            Call GetLastLocation("Curloc.bak")
        Else
            MsgBox "Default location data is also missing or corrupt. Sorry cannot continue."
            End
        End If
    End If
End Sub

Private Sub Form_Load()
    'Initialization routine for start of program
    Dim intI As Integer
    Dim blnFoundData As Boolean
    Dim blnValid As Boolean
    Dim cGregorian As New clsGregorian
    Dim cLocalT As New clsLocalTime
        
    strFormat(0) = "#########0"
    strFormat(1) = "#########0.0"
    strFormat(2) = "#########0.00"
    strFormat(3) = "#########0.000"
    strFormat(4) = "#########0.0000"
    strFormat(5) = "#########0.00000"
    strFormat(6) = "#########0.000000"
    strFormat(7) = "#########0.0000000"
    strFormat(8) = "#########0.00000000"
    lngPrecision = 0
    lngMoonCalcMode = 0
    lngPlotMode = 0
    intNIntegrals = 64
    'Determine the symbol for the decimal point. This varies according to the Windows locality settings.
    strDecimalSymbol = Mid(Format(0#, "0.0"), 2, 1)
    'Data files not read for DetlaT and Moon
    blnMoonMagRead = False
    blnDeltaTRead = False
    blnMoonRead = False
    blnBTwi = False
    udtGraph.blnMode = True 'Detailed graph for Moon positions
    blnChangedInput = True 'Require all calculations to be carried out as none have been done yet
    'Read data for locations
    Call GetLocationData
    'Read last saved location
    Call GetLastLocation
    'Date and time set to current time - suggested by Lionel Isaacs
    udtDate.dblDayNumber = Date + Time + 693594
    udtDate.blnCE = True
    udtDate.blneve = False
    udtTime.bln24Hr = True
    udtTime.blnSecondTime = False
    Call ToDateTime(udtDate.dblDayNumber, udtDate, gregorian, udtTime, localt, blnValid)
    udtDate.dblDayNumber = udtDate.dblDayNumber - cLocalT.GetTZ(udtDate.dblDayNumber, blnValid) / 24
    Call ToDateTime(udtDate.dblDayNumber, udtDate, gregorian, udtTime, localt, blnValid)
    'Weather
    udtWeather.udtBasis = LocalW
    With udtWeather.udtClimate 'For manual setting, default to Jerusalem
        .udtHumidity.dblAnnualRange = 20.1
        .udtHumidity.dblDailyRange = -18
        .udtHumidity.dblMean = 68.5
        .udtPressure.dblAnnualRange = -5.9
        .udtPressure.dblDailyRange = 0
        .udtPressure.dblMean = 925.8
        .udtTemperature.dblAnnualRange = 8.6
        .udtTemperature.dblDailyRange = 8.9
        .udtTemperature.dblMean = 16
    End With
    'Set default output options
    intLastPar = 7 'Photometric visibility prediction
    intLastPlanet = 1 'Moon
    enmLastDateType = gregorian 'No valid last type
    enmLastTimeType = localt
    'Set ouput options and lists
    blnAllowChange = False 'Disable evaluation
    cmdT.Visible = False 'Enable for statistical tests
    'Load the option combo boxes
    enmLastDateType = gregorian
    'Call DateCombo
    enmLastTimeType = localt
    'Call TimeCombo
    optConvert = False
    optBody = True
    Call BodyNameCombo
    Call BodyCombo
    blnAllowChange = True 'Enable and evaluate
    Call Evaluate
End Sub
Sub GetLocationData() 'Read data from file
'The data consists of fields separated by commas
'A field starting with a # is a comment
'The data has the following structure
'Number of countries (states in USA, Canada and Australia)
'For each country
'   Name
'   Number of epochs for automatic time zone paramters
'   For each epoch
'       End of epoch in fixed radix or FALSE for no end
'       Standard time in hours ahead of UTC
'       DST exists as boolean
'       If DST then
'           For start and end
'               Hour of day when change occurs
'               Day of week (Sunday = 0 to Saturday = 6)
'               Week number (0 means on the date specified rather than a day of the week, 5 means last week of month)
'               Date of month from which weeks are counted
'               Month number (January = 1 to December = 12)
'           next
'       endif
'   next
'   Number of cities (towns or other places)
'   For each city
'       Name
'       Number of neighborhoods
'       For each neighborhood
'           Name (defualt = "Center")
'           Latitude (degrees, North positive)
'           Longitude (degrees, East positive)
'           Height above sea-level (m)
'           Mean Temperature
'           Daily temperature range
'           Anuual temperature range
'           Mean Pressure
'           Daily pressure range
'           Annual pressure range
'           Mean Humidity
'           Daily humidity range
'           Annual humidity range
'       Next
'   Next
'Next
    Dim strLine As String
    Dim intCountryState As Integer
    Dim intTZ As Integer
    Dim intCity As Integer
    Dim intNeighborhood As Integer
    Dim varTemp As Variant
    Dim dblLimit As Double
    Dim blnFoundData As Boolean
    
    Open "Locations.txt" For Input Access Read As 1
    'Read number of countries
    blnFoundData = True
    varTemp = GetValue(1, "#", "Long", 0, 32766)
    With udtLocationData
        If IsNull(varTemp) Then
            blnFoundData = False
            MsgBox "Error in location file: Invalid number of countries"
        Else
            .intNStatesCountries = varTemp
        End If
        If blnFoundData Then
            ReDim .udtCountryState(.intNStatesCountries)
            For intCountryState = 0 To .intNStatesCountries - 1
                With .udtCountryState(intCountryState)
                    'Read country name
                    varTemp = GetValue(1, "#", "String")
                    If IsNull(varTemp) Or varTemp = "" Then
                        blnFoundData = False
                        MsgBox ("Error in location file: Country/State name (" & intCountryState & ") missing.")
                    Else
                        .strCountryState = varTemp
                    End If
                    If blnFoundData Then
                        'Read number of time zone epochs
                        varTemp = GetValue(1, "#", "Long", 1, 32766)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                            MsgBox ("Error in location file: Invalid number of time zone histories for " & .strCountryState & ".")
                        Else
                            .intNTZ = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        ReDim .udtTZ(.intNTZ)
                        For intTZ = 0 To .intNTZ - 1
                            With .udtTZ(intTZ)
                                'Get end of epoch if there is an end
                                strLine = GetNextLine(1, "#", True)
                                If strLine = "FALSE" Then
                                    .blnLast = False
                                Else
                                    .blnLast = True
                                    If Not IsNumeric(strLine) Then
                                        blnFoundData = False
                                        MsgBox ("Error in location file: Invalid last applicable date for time zone for " & udtLocationData.udtCountryState(intCountryState).strCountryState & " epoch " & intTZ & ".")
                                    ElseIf strLine < -1000000000# Or strLine > 1000000000# Then
                                        blnFoundData = False
                                        MsgBox ("Error in location file: Invalid last applicable date for time zone for " & udtLocationData.udtCountryState(intCountryState).strCountryState & " epoch " & intTZ & ".")
                                    Else
                                        .dblLast = strLine
                                    End If
                                End If
                                If blnFoundData Then
                                    'Get standard time
                                    varTemp = GetValue(1, "#", "Double", -14, 14)
                                    If IsNull(varTemp) Then
                                        blnFoundData = False
                                        MsgBox ("Error in location file: Invalid Time Zone for " & udtLocationData.udtCountryState(intCountryState).strCountryState & " epoch " & intTZ & ".")
                                    Else
                                        .dblTZ = varTemp
                                    End If
                                    If blnFoundData Then
                                        'See if there is DST
                                        strLine = GetNextLine(1, "#", False)
                                        If strLine = "FALSE" Then
                                            .blnDST = False
                                        ElseIf strLine = "TRUE" Then
                                            .blnDST = True
                                        Else
                                            blnFoundData = False
                                            MsgBox ("Error in location file: DST must be boolean for " & udtLocationData.udtCountryState(intCountryState).strCountryState & " epoch " & intTZ & ".")
                                        End If
                                    End If
                                    If .blnDST And blnFoundData Then
                                        'Read time change parameters
                                        Call GetNTZ(.udtDSTStart, blnFoundData)
                                        If blnFoundData Then Call GetNTZ(.udtDSTEnd, blnFoundData)
                                    End If
                                End If
                            End With
                        Next
                    End If
                    If blnFoundData Then
                        'Read number of cities
                        varTemp = GetValue(1, "#", "Long", 1, 32766)
                        If IsNull(varTemp) Then
                            blnFoundData = False
                            MsgBox ("Error in location file: Invalid Number of cities for " & .strCountryState & ".")
                        Else
                            .intNCities = varTemp
                        End If
                    End If
                    If blnFoundData Then
                        ReDim .udtCity(.intNCities)
                        For intCity = 0 To .intNCities - 1
                            With .udtCity(intCity)
                                'Read city name
                                varTemp = GetValue(1, "#", "String")
                                If IsNull(varTemp) Or varTemp = "" Then
                                    blnFoundData = False
                                    MsgBox ("Error in location file: Town/City name missing for " & udtLocationData.udtCountryState(intCountryState).strCountryState & " city (" & intCity & ").")
                                Else
                                    .strCity = varTemp
                                End If
                                If blnFoundData Then
                                    'Read number of neighborhoods
                                    varTemp = GetValue(1, "#", "Long", 1, 32766)
                                    If IsNull(varTemp) Then
                                        blnFoundData = False
                                        MsgBox ("Error in location file: Invalid Number of neighborhoodsfor " & udtLocationData.udtCountryState(intCountryState).strCountryState & " city (" & intCity & ").")
                                    Else
                                        .intNNeighborhoods = varTemp
                                    End If
                                End If
                                If blnFoundData Then
                                    ReDim .udtNeighborhood(.intNNeighborhoods)
                                    For intNeighborhood = 0 To .intNNeighborhoods - 1
                                        With .udtNeighborhood(intNeighborhood)
                                            'Read neighborhood name
                                            varTemp = GetValue(1, "#", "String")
                                            If IsNull(varTemp) Or varTemp = "" Then
                                                blnFoundData = False
                                                MsgBox ("Error in location file: Neighborhood name missing for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & " neighborhood (" & intNeighborhood & ".")
                                            Else
                                                .strNeighborhood = varTemp
                                            End If
                                            If blnFoundData Then
                                                'Read Latitude
                                                varTemp = GetValue(1, "#", "Double", -90, 90)
                                                If IsNull(varTemp) Then
                                                    blnFoundData = False
                                                    MsgBox ("Error in location file: Invalid Latitude for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & .strNeighborhood & ".")
                                                Else
                                                    .udtPosition.dblLatitude = varTemp
                                                End If
                                            End If
                                            If blnFoundData Then
                                                'Read Longitude
                                                varTemp = GetValue(1, "#", "Double", -180, 180, False, True)
                                                If IsNull(varTemp) Then
                                                    blnFoundData = False
                                                    MsgBox ("Error in location file: Invalid Longitude for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & .strNeighborhood & ".")
                                                Else
                                                    .udtPosition.dblLongitude = varTemp
                                                End If
                                            End If
                                            If blnFoundData Then
                                                'Read height above sea-level
                                                varTemp = GetValue(1, "#", "Double", HeightMin, HeightMax)
                                                If IsNull(varTemp) Then
                                                    blnFoundData = False
                                                    MsgBox ("Error in location file: Invalid Height above sea-level for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & .strNeighborhood & ".")
                                                Else
                                                    .udtPosition.dblHeight = varTemp
                                                End If
                                            End If
                                            If blnFoundData Then
                                                'Read parameters for local climate
                                                With .udtLocalClimate
                                                    With .udtTemperature
                                                        'Read Temperature parameters
                                                        'Mean
                                                        varTemp = GetValue(1, "#", "Double", TMin, TMax)
                                                        If IsNull(varTemp) Then
                                                            blnFoundData = False
                                                            MsgBox ("Error in location file: Invalid Mean Temperature for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                        Else
                                                            .dblMean = varTemp
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - TMin
                                                            If TMax - .dblMean < dblLimit Then dblLimit = TMax - .dblMean
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Daily Temperature range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblDailyRange = varTemp
                                                            End If
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - .dblDailyRange / 2 - TMin
                                                            If TMax - .dblMean - .dblDailyRange / 2 < dblLimit Then dblLimit = TMax - .dblMean - .dblDailyRange / 2
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Annual Temperature range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblAnnualRange = varTemp
                                                            End If
                                                        End If
                                                    End With
                                                    With .udtPressure
                                                        'Read pressure parameters
                                                        'Mean
                                                        If blnFoundData Then
                                                            varTemp = GetValue(1, "#", "Double", PMin, PMax)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Mean Pressure for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblMean = varTemp
                                                            End If
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - PMin
                                                            If PMax - .dblMean < dblLimit Then dblLimit = PMax - .dblMean
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Daily Pressure range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblDailyRange = varTemp
                                                            End If
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - .dblDailyRange / 2 - PMin
                                                            If PMax - .dblMean - .dblDailyRange / 2 < dblLimit Then dblLimit = PMax - .dblMean - .dblDailyRange / 2
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Annual Pressure range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblAnnualRange = varTemp
                                                            End If
                                                        End If
                                                    End With
                                                    With .udtHumidity
                                                        'Read humidity parameters
                                                        'Mean
                                                        If blnFoundData Then
                                                            varTemp = GetValue(1, "#", "Double", HMin, HMax)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Mean Humidity for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblMean = varTemp
                                                            End If
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - HMin
                                                            If HMax - .dblMean < dblLimit Then dblLimit = HMax - .dblMean
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Daily Humidity range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblDailyRange = varTemp
                                                            End If
                                                        End If
                                                        If blnFoundData Then
                                                            dblLimit = .dblMean - .dblDailyRange / 2 - HMin
                                                            If HMax - .dblMean - .dblDailyRange / 2 < dblLimit Then dblLimit = HMax - .dblMean - .dblDailyRange / 2
                                                            'Daily range
                                                            varTemp = GetValue(1, "#", "Double", -dblLimit * 2, dblLimit * 2)
                                                            If IsNull(varTemp) Then
                                                                blnFoundData = False
                                                                MsgBox ("Error in location file: Invalid Annual Humidity range for " & udtLocationData.udtCountryState(intCountryState).strCountryState & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).strCity & ", " & udtLocationData.udtCountryState(intCountryState).udtCity(intCity).udtNeighborhood(intNeighborhood).strNeighborhood & ".")
                                                            Else
                                                                .dblAnnualRange = varTemp
                                                            End If
                                                        End If
                                                    End With
                                                End With
                                            End If
                                        End With
                                    Next
                                End If
                            End With
                        Next
                    End If
                End With
            Next
        End If
    End With
    Close 1
    If Not blnFoundData Then
        MsgBox ("Location data file missing or corrupted. Sorry cannot continue.")
        End
    End If
End Sub
Friend Sub GetNTZ(udtTZDST As ClockChange, blnFoundData As Boolean)
'Read parameters for time change
    Dim strLine As String
    Dim varTemp As Variant
    
    With udtTZDST
        'Hour of change
        varTemp = GetValue(1, "#", "Long", 0, 23)
        If IsNull(varTemp) Then
            MsgBox ("Error in location file: Invalid DST changeover hour.")
            blnFoundData = False
        Else
            .intHour = varTemp
        End If
        If blnFoundData Then
            'Day of week
            varTemp = GetValue(1, "#", "Long", 0, 6)
            If IsNull(varTemp) Then
                MsgBox ("Error in location file: Invalid DST changeover day.")
                blnFoundData = False
            Else
                .intDayOfWeek = varTemp
            End If
        End If
        If blnFoundData Then
            'Week (0 = on the date specified, 5 = last week)
            varTemp = GetValue(1, "#", "Long", 0, 5)
            If IsNull(varTemp) Then
                MsgBox ("Error in location file: Invalid DST changeover week.")
                blnFoundData = False
            Else
                .intWeekNo = varTemp
            End If
        End If
        If blnFoundData Then
            'Date of month from which weeks are counted
            varTemp = GetValue(1, "#", "Long", 0, 31)
            If IsNull(varTemp) Then
                MsgBox ("Error in location file: Invalid DST changeover date.")
                blnFoundData = False
            Else
                .intDate = varTemp
            End If
        End If
        If blnFoundData Then
            'Month
            varTemp = GetValue(1, "#", "Long", 0, 12)
            If IsNull(varTemp) Then
                MsgBox ("Error in location file: Invalid DST changeover month.")
                blnFoundData = False
            Else
                .intMonthNo = varTemp
            End If
        End If
    End With
End Sub
Private Sub Form_Unload(Cancel As Integer)
    Dim intI As Integer
    
    'Save current location for next time
    Open "Curloc.txt" For Output Access Write As 1
    With udtLocation
        Write #1, .blnAhead
        Write #1, .blnDMSMode
        Write #1, .blnDST
        Write #1, .blnDSTAuto
        Write #1, .blnNameValid
        Write #1, .dblHeight
        Write #1, .dblLatitude
        Write #1, .dblLongitude
        Write #1, .dblTZ
        Write #1, .intNTZ
        Write #1, .intTZH
        Write #1, .intTZM
        Write #1, .strCountryState
        Write #1, .strNeighborhood
        Write #1, .strTownCity
        Write #1, .udtLatitude.blnSign
        Write #1, .udtLatitude.dblSeconds
        Write #1, .udtLatitude.intDegreesHours
        Write #1, .udtLatitude.intMinutes
        Write #1, .udtLongitude.blnSign
        Write #1, .udtLongitude.dblSeconds
        Write #1, .udtLongitude.intDegreesHours
        Write #1, .udtLongitude.intMinutes
        For intI = 0 To .intNTZ - 1
            With .udtTZ(intI)
                Write #1, .blnDST
                Write #1, .blnLast
                Write #1, .dblLast
                Write #1, .dblTZ
                Write #1, .udtDSTEnd.intDate
                Write #1, .udtDSTEnd.intDayOfWeek
                Write #1, .udtDSTEnd.intHour
                Write #1, .udtDSTEnd.intMonthNo
                Write #1, .udtDSTEnd.intWeekNo
                Write #1, .udtDSTStart.intDate
                Write #1, .udtDSTStart.intDayOfWeek
                Write #1, .udtDSTStart.intHour
                Write #1, .udtDSTStart.intMonthNo
                Write #1, .udtDSTStart.intWeekNo
            End With
        Next
    End With
    Close 1
    'Unload all forms
    Unload frmDate
    Unload frmLocation
    Unload frmTime
    Unload frmWeather
    Unload frmGraph
    Unload frmProgress
    Unload Me
End Sub


Private Sub BodyNameCombo()
    Dim cHBody As New clsHBody
    Dim intI As Integer
    
    lblOption.Caption = "Body"
    cboOption.Clear
    cboOption.AddItem ("Sun")
    cboOption.AddItem ("Moon")
    cboOption.AddItem ("Mercury")
    cboOption.AddItem ("Venus")
    cboOption.AddItem ("Mars")
    cboOption.AddItem ("Jupiter")
    cboOption.AddItem ("Saturn")
    If Not blnStarRead Then 'First time, read table
        Call cHBody.ReadHBody("Star", udtMercury, lngMoonLR, lngMoonB, udtStar)
        blnStarRead = True
    End If
    For intI = 0 To intNStars - 1
        cboOption.AddItem (udtStar(intI).strName)
    Next
    cboOption.ListIndex = intLastPlanet
    cboOption.Text = cboOption.List(intLastPlanet)
End Sub
Private Sub optBody_Click()
    Dim cHBody As New clsHBody
    Dim intI As Integer
    
    If blnAllowChange Then
        blnAllowChange = False 'Disable evaluation
        Call BodyNameCombo
'        lblOption.Caption = "Body"
'        cboOption.Clear
'        cboOption.AddItem ("Sun")
'        cboOption.AddItem ("Moon")
'        cboOption.AddItem ("Mercury")
'        cboOption.AddItem ("Venus")
'        cboOption.AddItem ("Mars")
'        cboOption.AddItem ("Jupiter")
'        cboOption.AddItem ("Saturn")
'        If Not blnStarRead Then 'First time, read table
'            Call cHBody.ReadHBody("Star", udtMercury, lngMoonLR, lngMoonB, udtStar)
'            blnStarRead = True
'        End If
'        For intI = 0 To intNStars - 1
'            cboOption.AddItem (udtStar(intI).strName)
'        Next
'        cboOption.ListIndex = intLastPlanet
'        cboOption.Text = cboOption.List(intLastPlanet)
        blnAllowChange = True 'Enable and evaluate
        Call Evaluate
    End If
End Sub
Private Sub DateCombo()
    'Display combo box for date type selection
    lblOption.Caption = "Date type"
    cboOption.Clear
    cboOption.AddItem ("Fixed")
    cboOption.AddItem ("JD")
    cboOption.AddItem ("JDE")
    cboOption.AddItem ("MJD")
    cboOption.AddItem ("Gregorian")
    cboOption.AddItem ("Julian")
    cboOption.AddItem ("Hebrew")
    cboOption.AddItem ("Islamic")
    cboOption.ListIndex = enmLastDateType
    cboOption.Text = cboOption.List(enmLastDateType)
End Sub
Private Sub optConvert_Click()
    If blnAllowChange Then
        blnAllowChange = False 'Disable evaluation
        Call DateCombo
        blnAllowChange = True 'Enable and evaluate
        Call Evaluate
    End If
End Sub

