VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsJDE"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'(C)Roy E. Hoffman 2000
'See Main.bas for terms and conditions of use

Friend Function jde_fixed(dblDate As Double) As Double
'Convert Julian ephemirides day number (DT based) to fixed radix
    Dim cDeltaT As New clsDeltaT
        
    jde_fixed = dblDate + dblTime - 1721424.5 - cDeltaT.DeltaT(dblDate - 1721424.5, False) / 86400
End Function
Friend Function fixed_jde(dblDate As Double) As Double
'Convert fixed radix to Julian ephemerides day number (DT based)
    Dim cDeltaT As New clsDeltaT
    
    fixed_jde = dblDate + 1721424.5 + cDeltaT.DeltaT(dblDate, True) / 86400
End Function

