VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsUTC"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'(C)Roy E. Hoffman 2000
'See Main.bas for terms and conditions of use
Friend Function ZeroTime(dblFix As Double) As Double
    ZeroTime = 0
End Function
Friend Function FromUTC(udtTime As Mytime, blnValid As Boolean, enmType As DateType) As Double
    Dim cDMS As New clsDMS
    Dim cSun As New clsSun
    Dim dblSet As Double
    Dim blnNeverRises As Boolean
    Dim blnNeverSets As Boolean
    Dim intDayShift As Integer
    Dim cHebrew As New clsHebrew
    
    'Convert UTC to fraction of day
    blnValid = True
    FromUTC = frmTime.FromAMPM(udtTime) / 24
    If udtTime.blnSecondTime Then FromUTC = FromUTC + 1
    If enmType = Hebrew Or enmType = Islamic Then
        Call cHebrew.AdjustTime(Int(dblDate), FromUTC, blnValid, udtTime.blnSecondTime)
    ElseIf udtTime.blnSecondTime Then
        blnValid = False
    End If
End Function
Friend Sub ToUTC(dblFix As Double, udtTimeIn As Mytime)
    Dim cDMS As New clsDMS
    'Convert fixed radix to UTC
    
    udtTimeIn.enmTimeType = utc
    Call cDMS.ToDMS((dblFix - Int(dblFix)) * 24, udtTimeIn.udtDms)
    Call frmTime.ToAMPM(udtTimeIn)
End Sub
Friend Sub StartEndOfDay(dblFix As Double, enmDateType As DateType, dblStart As Double, dblEnd As Double, intDayShift As Integer)
    Dim cHebrew As New clsHebrew
    
    intDayShift = 0
    If enmDateType < Hebrew Then
        dblStart = Int(dblFix)
        dblEnd = dblStart + 1
    Else
        Call cHebrew.StartEndDay(dblFix, dblStart, dblEnd, intDayShift)
    End If
End Sub
