VERSION 5.00
Begin VB.Form frmOptions 
   Caption         =   "Options"
   ClientHeight    =   2865
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3975
   LinkTopic       =   "Form1"
   ScaleHeight     =   2865
   ScaleWidth      =   3975
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraSpeed 
      Caption         =   "Speed probability calc."
      Height          =   1212
      Left            =   1800
      TabIndex        =   14
      Top             =   1200
      Width           =   2055
      Begin VB.OptionButton optS3 
         Caption         =   "V. Slow, not better"
         Height          =   192
         Left            =   120
         TabIndex        =   18
         Top             =   960
         Width           =   1815
      End
      Begin VB.OptionButton optS2 
         Caption         =   "Normal, accurate"
         Height          =   252
         Left            =   120
         TabIndex        =   17
         Top             =   720
         Value           =   -1  'True
         Width           =   1692
      End
      Begin VB.OptionButton optS1 
         Caption         =   "Fast, less accurate"
         Height          =   252
         Left            =   120
         TabIndex        =   16
         Top             =   480
         Width           =   1692
      End
      Begin VB.OptionButton optS0 
         Caption         =   "V. fast, inaccurate"
         Height          =   252
         Left            =   120
         TabIndex        =   15
         Top             =   240
         Width           =   1815
      End
   End
   Begin VB.Frame fraPlotMode 
      Caption         =   "Plot Mode"
      Height          =   1092
      Left            =   120
      TabIndex        =   11
      Top             =   1320
      Width           =   1452
      Begin VB.OptionButton optP2 
         Caption         =   "Proportional"
         Height          =   252
         Left            =   120
         TabIndex        =   19
         Top             =   480
         Width           =   1212
      End
      Begin VB.OptionButton optP1 
         Caption         =   "Sketch"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   720
         Width           =   975
      End
      Begin VB.OptionButton optP0 
         Caption         =   "Full graph"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Value           =   -1  'True
         Width           =   1092
      End
   End
   Begin VB.Frame fraGraph 
      Caption         =   "Moon calc. mode"
      Height          =   1095
      Left            =   1800
      TabIndex        =   7
      Top             =   0
      Width           =   2055
      Begin VB.OptionButton optG2 
         Caption         =   "Topocentric"
         Height          =   255
         Left            =   120
         TabIndex        =   10
         Top             =   720
         Width           =   1335
      End
      Begin VB.OptionButton optG1 
         Caption         =   "Geocentric"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   480
         Width           =   1455
      End
      Begin VB.OptionButton optG0 
         Caption         =   "Photometric"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Value           =   -1  'True
         Width           =   1215
      End
   End
   Begin VB.CommandButton cmdDefault 
      Caption         =   "Default"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   2520
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   255
      Left            =   1440
      TabIndex        =   5
      Top             =   2520
      Width           =   975
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   255
      Left            =   2760
      TabIndex        =   4
      Top             =   2520
      Width           =   975
   End
   Begin VB.Frame fraPrecision 
      Caption         =   "Precision"
      Height          =   1335
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   1455
      Begin VB.OptionButton opt2 
         Caption         =   "Way overprecise"
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   840
         Width           =   1215
      End
      Begin VB.OptionButton opt1 
         Caption         =   "Overprecise"
         Height          =   375
         Left            =   120
         TabIndex        =   2
         Top             =   480
         Width           =   1215
      End
      Begin VB.OptionButton opt0 
         Caption         =   "Normal"
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Value           =   -1  'True
         Width           =   1095
      End
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
    If MsgBox("Are you sure you want to cancel the changes?", vbOKCancel) = vbOK Then Unload Me
End Sub

Private Sub cmdDefault_Click()
    If MsgBox("Are you sure you want to revert to the default values?", vbOKCancel) = vbOK Then
        lngPrecision = 0
        opt0 = True
        opt1 = False
        opt2 = False
        lngMoonCalcMode = 0
        optG0 = True
        optG1 = False
        optG2 = False
        lngPlotMode = 0
        optP0 = True
        optP1 = False
        optP2 = False
        intNIntegrals = 64
        optS0 = False
        optS1 = False
        optS2 = True
        optS3 = False
    End If
End Sub

Private Sub cmdOK_Click()
    Dim intI As Integer
    
    blnChangedInput = True
    If blnChangedInput Then
        For intI = 0 To 6
            udtVisibilitySave(intI).blnUpdated = False
        Next
    End If
    If opt0 Then
        lngPrecision = 0
    ElseIf opt1 Then
        lngPrecision = 1
    Else
        lngPrecision = 2
    End If
    If optG0 Then
        lngMoonCalcMode = 0
    ElseIf optG1 Then
        lngMoonCalcMode = 1
    ElseIf optG2 Then
        lngMoonCalcMode = 2
    End If
    If optP0 Then
        lngPlotMode = 0
    ElseIf optP1 Then
        lngPlotMode = 1
    Else
        lngPlotMode = 2
    End If
    If optS0 Then
        intNIntegrals = 16
    ElseIf optS1 Then
        intNIntegrals = 32
    ElseIf optS2 Then
        intNIntegrals = 64
    Else
        intNIntegrals = 128
    End If
    Unload Me
End Sub

Private Sub Form_Load()
    Select Case lngPrecision
    Case 0
        opt0 = True
        opt1 = False
        opt2 = False
    Case 1
        opt0 = False
        opt1 = True
        opt2 = False
    Case Else
        opt0 = False
        opt1 = False
        opt2 = True
    End Select
    Select Case lngMoonCalcMode
    Case 0
        optG0 = True
        optG1 = False
        optG2 = False
    Case 1
        optG0 = False
        optG1 = True
        optG2 = False
    Case 2
        optG0 = False
        optG1 = False
        optG2 = True
    End Select
    If lngPlotMode = 0 Then
        optP0 = True
        optP1 = False
        optP2 = False
    ElseIf lngPlotMode = 1 Then
        optP0 = False
        optP1 = True
        optP2 = False
    Else
        optP0 = False
        optP1 = False
        optP2 = True
    End If
    Select Case intNIntegrals
    Case 16
        optS0 = True
        optS1 = False
        optS2 = False
        optS3 = False
    Case 32
        optS0 = False
        optS1 = True
        optS2 = False
        optS3 = False
    Case 128
        optS0 = False
        optS1 = False
        optS2 = False
        optS3 = True
    Case Else
        optS0 = False
        optS1 = False
        optS2 = True
        optS3 = False
    End Select
End Sub
